2019-12-10 11:09 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001595FSSCPmultiplayerpublic2008-03-08 15:45
ReporterFUBAR-BDHR 
Assigned Tokarajorma 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001595: Unknown ships target as hostile in dogfight
DescriptionA ship with it's team set to unknown in a dogfight is targetable when using the "h" key. They are not targetable in TvT missions just in dogfights.
Additional InformationOriginally found bug in TBP but just verified in FS2 3.6.10 10-28t build. Attaching modified V mission MDH-07. Explains why V always hid caps from sensors.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008872

karajorma (administrator)

I don't think this is a bug so much as a side effect of the fact that in dogfight games all the players are marked as traitor. No doubt unknown is counted as hostile to things on that team.

~0008924

karajorma (administrator)

Yeah, this isn't a bug. A change in the iff_defs table should fix it.

~0008933

FUBAR-BDHR (developer)

Still doesn't work even with a IFF class that isn't targetable by traitor. Works in single with the player set as traitor but not in a dogfight.

~0008934

karajorma (administrator)

Last edited: 2008-03-03 08:20

Yeah, you're right. I'll get this one fixed tonight.

+Notes

-Issue History
Date Modified Username Field Change
2008-02-12 22:04 FUBAR-BDHR New Issue
2008-02-12 22:04 FUBAR-BDHR File Added: MDH-07-bug.FS2
2008-02-16 16:15 karajorma Note Added: 0008872
2008-02-29 20:56 karajorma Status new => resolved
2008-02-29 20:56 karajorma Resolution open => no change required
2008-02-29 20:56 karajorma Assigned To => karajorma
2008-02-29 20:56 karajorma Note Added: 0008924
2008-03-02 23:25 FUBAR-BDHR Status resolved => feedback
2008-03-02 23:25 FUBAR-BDHR Resolution no change required => reopened
2008-03-02 23:25 FUBAR-BDHR Note Added: 0008933
2008-03-03 08:20 karajorma Note Added: 0008934
2008-03-03 08:20 karajorma Note Edited: 0008934
2008-03-08 15:45 karajorma Status feedback => resolved
2008-03-08 15:45 karajorma Fixed in Version => 3.6.10
2008-03-08 15:45 karajorma Resolution reopened => fixed
+Issue History